//Project.java

package hr;

public class Project implements java.io.Serializable
{

    private Integer projectNo;
    private String projectName;

    public Project(Integer projectNo, String projectName)
    {
	this.projectNo = projectNo;
	this.projectName = projectName;
    }

    public Integer getProjectNo() {
	return projectNo;
    }

    public void setProjectNo(Integer projectNo) {
	this.projectNo = projectNo;
    }

    public String getProjectName() {
	return projectName;
    }

    public void setProjectName(String projectName) {
	this.projectName = projectName;
    }

    public boolean equals(Object other)
    {
        if(other instanceof Project) {
            Project project = (Project)other;
            if (projectNo.equals(project.getProjectNo()) &&
                projectName.equals(project.getProjectName())) {
                return true;
            }
        }
        return false;
    }

}
